﻿using System;
using System.Collections.Generic;
using System.Linq;
using Telerik.XamarinForms.DataControls;
using Xamarin.Forms;

namespace SampleApp
{
    public partial class Page1 : ContentPage
    {
        public Page1()
        {
            InitializeComponent();
            this.BindingContext = new ViewModel();
            lv.SetBinding(RadListView.ItemsSourceProperty, "Items");
        }
    }

    public class ViewModel
    {
        public ViewModel()
        {
            this.Items = this.GetItems(10);
        }

        public List<Item> Items { get; set; }

        private List<Item> GetItems(int count)
        {
            var items = new List<Item>();

            for (int i = 0; i < count; i++)
            {
                items.Add(new Item { Title = string.Format("item {0}", i) });
            }
            
            return items;
        }
    }
}